Getting Python to wait for apt-get install

I'm trying to write a Python script that installs some packages but unfortunately it's not playing friendly with Ubuntu's apt-get install. Here's my code: subprocess.Popen( 'sudo apt-get...

Vagrant error : Failed to mount folders in Linux guest

I have some issues with Vagrant shared folders, my base system is Ubuntu 13.10 desktop. I do not understand why I have this error is something that is not right configured ? Is a NFS issue or...

Nginx wont install due to being unable to make backup link

I am attempting to simply install nginx on a raw ubuntu box. I using vagrant and issuing ''vagrant up'' to ubuntu/trusty64 and then attempting to install nginx. It is giving this error: unable...

Jenkins build job fails while installing a package

I'm working on a Jenkinsfile that should be able to perform e2e-Tests with protractor befor deployment. So i need to install several packages for a chrome-headless installation (Yes, I've checked...

Rails + OpenSSL + Ubuntu: OpenSSL::SSL::SSLError (SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed)

My rails app makes a request to another server through Net::HTTP, however I'm receiving the error: OpenSSL::SSL::SSLError (SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B:...

error uninstalling phpmyadmin from debian 7

I have a cubieboard with debian 7 and yesterday I installed phpmyadmin, it was working great but today I had to shut down the machine and when I bring it on again, the phpmyadmin page showed only...

How to resolve java.lang.UnsatisfiedLinkError in Ubuntu 16.04

I'm trying to launch WindRiver Workbench on Ubuntu 16.04 but upon choosing my workspace, I get an error message which refers to a text file that contains a java error that looks like: !SESSION...

How do I fix error 400 on apt-get dist-upgrade

I'm running a large ansible playbook on a local VM for testing. I've tried it both using a VM provisioned by vagrant (using https://app.vagrantup.com/geerlingguy/boxes/ubuntu1604) and on a...

Why install :i386 packages?

i use xubuntu 12.04 amd64 and today i try to install wine: sudo aptitude install wine Следующие НОВЫЕ пакеты будут установлены: attr{a} fonts-horai-umefont{a} libasn1-8-heimdal:i386{a}...

Cannot launch Windriver Workbench after upgrade to 14.04

I upgraded to 14.04, confirmed following required packages are still loaded: sudo apt-get install libgtk2.0-0:i386 sudo apt-get install libxtst-dev sudo apt-get install libxtst-dev:i386 sudo...

AWS/Ubuntu archive server appears to be down?

I am brand new to both AWS and nginx (OSS version). I just created my free-tier (micro t2) EC2 Ubuntu instance and am trying to install nginx on it. So I run sudo apt-get upgrade and then sudo...

Phalcon extension unloaded after system upgrade

So, I am using Phalcon 3.0.0 with PHP 7 on Ubuntu 16.04.1 on DO. Everything worked correctly until today, when I ran apt update and upgrade on Ubuntu. After the process finished, Phalcon plugin...

I built a docker image but got an error: returned a non-zero code: 1

EDIT log after Dockerfile correction (add -y parameters) C:\Users\jl3.PRT-063\Desktop\Docker>docker build -t ocr-docker-build-starwars . Sending build context to Docker daemon 3.072kB Step 1/8...

Protractor test picking up edge browser instead of chrome after reboot

I was trying to get a server installed with headless chrome, selenium webdriver and protractor for automating tests. I setup my environment with these instructions: # JDK 8 sudo add-apt-repository...

Can apt-get autoremove remove system files?

I tried to install Python 3 on my Ubuntu 16.04.4 LTS and while using apt i found this: The following packages were automatically installed and are no longer required: cabextract gcc-5-base:i386...

Can't run vagrant up

Ok this is pretty simple: I'm on windows 10. I just downloaded Vagrant v1.8.0 and Virtualbox 5.0.12. All i did i just: vagrant init so my VagrantFile only contains this : Vagrant.configure(2) do...

How to minimize an ubuntu docker image which needs only git, cron and openjdk-8-jre

Testing some docker project so after playing with alpine, I would like to use ubuntu:bionic for production. I decided to roll out my own image but the problem is that it's 600MB+ . REPOSITORY ...

Installing Pillow on Python (Ubuntu14.04) on Codeanywhere

I am currently trying hard to install Pillow on my codeanywhere python container using this command. sudo apt-get install libtiff5-dev libjpeg8-dev zlib1g-dev libfreetype6-dev liblcms2-dev...

Ubuntu / DigitalOcean - Unable to fetch packages to install git on a fresh install

Just started with a fresh install of Ubuntu 14.04 on my digitalocean droplet and I'm trying to install git. My first attempt failed to install some packages - [email protected]:~# sudo apt-get install...

Can't install java 8 on linux mint

Linux Mint 19.3 I need to install jdk 8. I try this: sudo apt update result: Ign:1 http://mirrors.evowise.com/linuxmint/packages tricia InRelease Hit:2...

Can't start Protractor e2e-Test in Jenkins

Version-Infos: chromedriver: 2.33 npm: 5.5.1 nodejs: 8.9.0 openjdk version: 1.8.0_141 docker-image: openjdk:8 Here's my problem: I want to start e2e-Tests with Protractor on Jenkins. I'm...

Dokku: failed to push some refs

I have a asp.net core 3.1 application that I am trying to deploy using dokku to my Ubuntu 20 VM on digital ocean. I have installed Dokku on my Droplet and and I am failing at the git push...

No such file or directory' while attempting to get adb version

I had install Android adt bundle for linux in my computer(Ubuntu 13.04). But now when I run my eclipse in adt bundle following error appers:- 2014-11-04 13:25:50 - adb] Unexpected exception...

Vagrant plugin load order

I am behind corporate proxy which is using self-sign certificate to intercept ssl trafic. So I have installed vagrant-ca-certificates to have certificate in vm. I am also using vagrant-omnibus to...

To install ia32-libs on debian wheezy amd64

I'm using Debian 7 (wheezy) amd64. uname -a Linux tzwm-debian 3.2.0-4-amd64 #1 SMP Debian 3.2.51-1 x86_64 GNU/Linux And I want to install ia32-libs in my Debian. But this happens when I try to...

Rails & Docker: configure bundler to run bundle install in a docker build for Rails.4.2.6?

I am having so much trouble with docker. It seems to be a pattern. I have a dockerfile which installs Node.js and Yarn from source repositories fine. I install ruby from the get-apt repositories...

Net::HTTPServerException causing Chef to fail

I'm attempting to set up a Rails environment with Vagrant and Chef by following this guide. I've used it in the past with success. When I run vagrant up it fails, and (I think) this is the...

Can any packages be removed from the debian minimal image?

<b>Baackstory</b>: I am trying to create a customized Linux distribution for my project. My first thought was LFS(Linux from Scratch) and I had almost completed that when my (unreasonable)academic...